Highlighted

Force Reader to open always

Avatar

Guest

28-08-2008

I am using Adobe LiveCycle 7 and have created a simple survey that my company would like to send to its customers. When I open the form in Adobe Acrobat Pro 7 i have these number boxes on top of the radio buttons and it looks horrible. I have contacted tech support and they don't support Pro 7. So I tried opening it with Pro 8. Great! No numbers, but I can't guarantee that our customers will have Pro 8 or higher. So if i can script something into this so that it forces Adobe reader to be used rather than a Pro version it will bypass a lot of issues. Any help would be great!

Replies

Highlighted

_SekharN_

28-08-2008

here is JS code

if (xfa.host.appType == "Reader") {

if (xfa.host.version < 7) xfa.host.messageBox("Currently the application version your are using is "+xfa.host.version+".\nAn application version of Adobe Reader 7.0 or higher is required this form to function properly.")



}else {

xfa.host.messageBox("Please open this doc in Reader");

}
Highlighted

Avatar

Guest

02-09-2008

Thank you very much! I have one question, after the message of "Please open this doc in Reader" how can i force the file to close so that they can not continue on using the Professional version?